# $Revision: 1.95 $, $Date: 2012/02/08 13:39:41 $
#
# Conditional build:
%bcond_without	ansi			# only unicode packages
%bcond_without	odbc			# without ODBC support
%bcond_without	x11			# don't build wxX11 packages
%bcond_with	gnomeprint		# GNOME print support
%bcond_with	debug			# build with \--enable-debug
					# (binary incompatible with non-debug)
#
Summary:	wxWidgets library
Summary(pl.UTF-8):	Biblioteka wxWidgets
Name:		wxWidgets
Version:	2.8.12
Release:	3
License:	wxWindows Library Licence 3.1 (LGPL v2+ with exception)
Group:		X11/Libraries
Source0:	http://ftp.wxwidgets.org/pub/%{version}/%{name}-%{version}.tar.bz2
# Source0-md5:	4103e37e277abeb8aee607b990c215c4
Patch0:		%{name}-samples.patch
Patch1:		%{name}-ogl.patch
Patch2:		%{name}-ac.patch
Patch3:		%{name}-x11unicode.patch
Patch4:		%{name}-gcc4.patch
Patch5:		wxGTK-2.8.10.1-odbc-defines.patch
URL:		http://www.wxWidgets.org/
BuildRequires:	OpenGL-GLU-devel
#BuildRequires:	SDL-devel
BuildRequires:	autoconf >= 2.59-9
BuildRequires:	automake
# for m4 files
BuildRequires:	bakefile >= 0.2.9
BuildRequires:	cppunit-devel >= 1.8.0
BuildRequires:	expat-devel
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 2.0.0
%{?with_gnomeprint:BuildRequires:	libgnomeprintui-devel >= 2.8.0}
BuildRequires:	libjpeg-devel
BuildRequires:	libmspack-devel
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtiff-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
%{?with_odbc:BuildRequires:	unixODBC-devel}
%{?with_x11:BuildRequires:	xorg-lib-libXext-devel}
%{?with_x11:BuildRequires:	xorg-lib-libXt-devel}
# these are not supported by wxWidgets
Obsoletes:	LDAPExplorerTool <= 0.6-1
Obsoletes:	abridge <= 0.4.0-1
# and these are replaced
Obsoletes:	wxGTK
Obsoletes:	wxGTK-devel
Obsoletes:	wxGTK-gl
Obsoletes:	wxGTK-gl-devel
Obsoletes:	wxGTK-univ
Obsoletes:	wxGTK-univ-devel
Obsoletes:	wxGTK-univ-gl
Obsoletes:	wxGTK-univ-gl-devel
Obsoletes:	wxGTK2-univ
Obsoletes:	wxGTK2-univ-devel
Obsoletes:	wxGTK2-univ-gl
Obsoletes:	wxGTK2-univ-gl-devel
Obsoletes:	wxGTK2-univ-unicode
Obsoletes:	wxGTK2-univ-unicode-devel
Obsoletes:	wxGTK2-univ-unicode-gl
Obsoletes:	wxGTK2-univ-unicode-gl-devel
Obsoletes:	wxMotif
Obsoletes:	wxMotif-devel
Obsoletes:	wxMotif-gl
Obsoletes:	wxMotif-gl-devel
Obsoletes:	wxWidgets-afm
Obsoletes:	wxWindows
Obsoletes:	wxWindows-afm
Obsoletes:	wxwin-afm
Obsoletes:	wxwin-common
Conflicts:	wxGTK2 < 2.6.0
Conflicts:	wxGTK2-unicode < 2.6.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	%{_datadir}

%define		_noautoreqdep	libGL.so.1 libGLU.so.1

%description
wxWidgets is a free C++ library for cross-platform GUI development.
With wxWidgets, you can create applications for different GUIs (GTK+,
Motif/LessTif, MS Windows, Mac) from the same source code.

%description -l pl.UTF-8
wxWidgets to wolnodostępna biblioteka napisana w C++ umożliwiająca
rozwijanie wieloplatformowych programów GUI. Przy użyciu wxWidgets
można tworzyć aplikacje dla różnych GUI (GTK+, Motif/LessTif, MS
Windows, Mac) z tego samego kodu źródłowego.

%package devel
Summary:	wxWidgets header files and development documentation
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja do wxWidgets
Group:		X11/Development/Libraries
Requires:	libstdc++-devel
%{?with_odbc:Requires:	unixODBC-devel}
Obsoletes:	wxWindows-devel

%description devel
Header files and development documentation for the wxWidgets
libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja do bibliotek wxWidgets.

%package -n bakefile-wxWidgets
Summary:	Files for Bakefile to generate wxWidgets project files
Summary(pl.UTF-8):	Pliki dla Bakefile generujące pliki projektów wxWidgets
Group:		Development/Tools
Requires:	bakefile

%description -n bakefile-wxWidgets
Additional files for Bakefile to generate wxWidgets project files.

%description -n bakefile-wxWidgets -l pl.UTF-8
Dodatkowe pliki dla programu Bakefile umożliwiające wygenerowanie
projektów opartych na bibliotece wxWidgets.

%package examples
Summary:	wxWidgets example programs
Summary(pl.UTF-8):	Przykładowe programy wxWidgets
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	wxWindows-examples

%description examples
wxWidgets example programs.

%description examples -l pl.UTF-8
Przykładowe programy wxWidgets.

%package HelpGen
Summary:	Help file generator for wxWidgets programs
Summary(pl.UTF-8):	Generator plików pomocy dla programów wxWidgets
Group:		Development/Tools
Requires:	wxBase = %{version}-%{release}
Obsoletes:	wxWindows-HelpGen

%description HelpGen
Help file generator for wxWidgets programs.

%description HelpGen -l pl.UTF-8
Generator plików pomocy dla programów wxWidgets.

%package -n wxBase
Summary:	wxBase library - non-GUI support classes of wxWidgets toolkit
Summary(pl.UTF-8):	wxBase - biblioteka klas wxWidgets nie związanych z GUI
Group:		X11/Libraries
Requires:	%{name} = %{version}-%{release}

%description -n wxBase
wxBase is a collection of C++ classes providing basic data structures
(strings, lists, arrays), powerful wxDateTime class for date
manipulations, portable wrappers around many OS-specific functions
allowing to build the same program under all supported folders,
wxThread class for writing multithreaded programs using either Win32
or POSIX threads and much more. wxBase currently supports the
following platforms: Win32, generic Unix (Linux, FreeBSD, Solaris,
HP-UX, ...) and BeOS.

%description -n wxBase -l pl.UTF-8
wxBase jest zestawem klas C++ obsługujących podstawowe struktury
danych (stringi, listy, tablice), klasę wxDateTime do operacji na
datach, przenośne wrappery do wielu funkcji zależnych od systemu
operacyjnego pozwalające na zbudowanie tego samego programu w różnych
środowiskach, klasę wxThread do pisania programów wielowątkowych
używających wątków Win32 albo POSIX i inne. wxBase obsługuje
platformy: Win32, Unix i BeOS.

%package -n wxBase-devel
Summary:	wxBase headers needed for developping with wxBase
Summary(pl.UTF-8):	Pliki nagłówkowe do wxBase
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	wxBase = %{version}-%{release}

%description -n wxBase-devel
Header files for wxBase. You need them to develop programs using
wxBase.

%description -n wxBase-devel -l pl.UTF-8
Pliki nagłówkowe do biblioteki wxBase.

%package -n wxBase-unicode
Summary:	wxBase library - non-GUI support classes of wxWidgets toolkit with UNICODE support
Summary(pl.UTF-8):	wxBase - biblioteka klas wxWidgets nie związanych z GUI ze wsparciem dla UNICODE
Group:		X11/Libraries
Requires:	%{name} = %{version}-%{release}

%description -n wxBase-unicode
wxBase is a collection of C++ classes providing basic data structures
(strings, lists, arrays), powerful wxDateTime class for date
manipulations, portable wrappers around many OS-specific functions
allowing to build the same program under all supported folders,
wxThread class for writing multithreaded programs using either Win32
or POSIX threads and much more. wxBase currently supports the
following platforms: Win32, generic Unix (Linux, FreeBSD, Solaris,
HP-UX, ...) and BeOS. This version is build with UNICODE support.

%description -n wxBase-unicode -l pl.UTF-8
wxBase jest zestawem klas C++ obsługujących podstawowe struktury
danych (stringi, listy, tablice), klasę wxDateTime do operacji na
datach, przenośne wrappery do wielu funkcji zależnych od systemu
operacyjnego pozwalające na zbudowanie tego samego programu w różnych
środowiskach, klasę wxThread do pisania programów wielowątkowych
używających wątków Win32 albo POSIX i inne. wxBase obsługuje
platformy: Win32, Unix i BeOS. Ta wersja jest zbudowana z obsługą
UNICODE.

%package -n wxBase-unicode-devel
Summary:	wxBase headers needed for developping with UNICODE-enabled wxBase
Summary(pl.UTF-8):	Pliki nagłówkowe do wxBase z obsługą UNICODE
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	wxBase-unicode = %{version}-%{release}

%description -n wxBase-unicode-devel
Header files for wxBase. You need them to develop programs using
UNICODE-enabled wxBase.

%description -n wxBase-unicode-devel -l pl.UTF-8
Pliki nagłówkowe do biblioteki wxBase z obsługą UNICODE.

%package -n wxGTK2
Summary:	wxGTK2 library
Summary(pl.UTF-8):	Biblioteka wxGTK2
Group:		X11/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	wxGTK2-univ

%description -n wxGTK2
wxWidgets library using GTK2 widgets.

%description -n wxGTK2 -l pl.UTF-8
Biblioteka wxWidgets używająca widgetów GTK2.

%package -n wxGTK2-devel
Summary:	Header files for wxGTK2 library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki wxGTK2
Group:		X11/Development/Libraries
Requires:	wxBase-devel = %{version}-%{release}
Requires:	wxGTK2 = %{version}-%{release}
Obsoletes:	wxGTK2-univ-devel

%description -n wxGTK2-devel
Header files for wxWidgets library using GTK2 widgets.

%description -n wxGTK2-devel -l pl.UTF-8
Pliki nagłówkowe dla biblioteki wxWidgets używającej widgetów GTK2.

%package -n wxGTK2-gl
Summary:	GL canvas library for wxGTK2
Summary(pl.UTF-8):	Biblioteka GL dla wxGTK2
Group:		X11/Libraries
Requires:	wxGTK2 = %{version}-%{release}
Obsoletes:	wxGTK2-univ-gl

%description -n wxGTK2-gl
wxGTK2 GL canvas library.

%description -n wxGTK2-gl -l pl.UTF-8
Biblioteka GL dla wxGTK2.

%package -n wxGTK2-gl-devel
Summary:	Development files for GL canvas library for wxGTK2
Summary(pl.UTF-8):	Pliki programistyczne biblioteki GL dla wxGTK2
Group:		X11/Development/Libraries
Requires:	OpenGL-GLU-devel
Requires:	wxGTK2-devel = %{version}-%{release}
Requires:	wxGTK2-gl = %{version}-%{release}
Obsoletes:	wxGTK2-univ-gl-devel

%description -n wxGTK2-gl-devel
Development files for wxGTK2 GL canvas library.

%description -n wxGTK2-gl-devel -l pl.UTF-8
Pliki programistyczne biblioteki GL dla wxGTK2.

%package -n wxGTK2-unicode
Summary:	wxGTK2 library with UNICODE support
Summary(pl.UTF-8):	Biblioteka wxGTK2 z obsługą UNICODE
Group:		X11/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	wxGTK2-univ-unicode

%description -n wxGTK2-unicode
wxWidgets library using GTK2 widgets with UNICODE support.

%description -n wxGTK2-unicode -l pl.UTF-8
Biblioteka wxWidgets używająca widgetów GTK2 z obsługą UNICODE.

%package -n wxGTK2-unicode-devel
Summary:	Header files for wxGTK2 library with UNICODE support
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki wxGTK2 z obsługą UNICODE
Group:		X11/Development/Libraries
Requires:	wxBase-unicode-devel = %{version}-%{release}
Requires:	wxGTK2-unicode = %{version}-%{release}
Obsoletes:	wxGTK2-univ-unicode-devel

%description -n wxGTK2-unicode-devel
Header files for wxWidgets library using GTK2 widgets with UNICODE
support.

%description -n wxGTK2-unicode-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki wxWidgets używającej widgetów GTK2 z
obsługą UNICODE.

%package -n wxGTK2-unicode-gl
Summary:	GL canvas library for wxGTK2 with UNICODE support
Summary(pl.UTF-8):	Biblioteka GL dla wxGTK2 z obsługą UNICODE
Group:		X11/Libraries
Requires:	wxGTK2-unicode = %{version}-%{release}
Obsoletes:	wxGTK2-univ-unicode-gl

%description -n wxGTK2-unicode-gl
GL canvas library for wxGTK2 with UNICODE support.

%description -n wxGTK2-unicode-gl -l pl.UTF-8
Biblioteka GL dla wxGTK2 z obsługą UNICODE.

%package -n wxGTK2-unicode-gl-devel
Summary:	Development files for GL canvas library for wxGTK2 with UNICODE support
Summary(pl.UTF-8):	Pliki programistyczne biblioteki GL dla wxGTK2 z obsługą UNICODE
Group:		X11/Development/Libraries
Requires:	OpenGL-GLU-devel
Requires:	wxGTK2-unicode-devel = %{version}-%{release}
Requires:	wxGTK2-unicode-gl = %{version}-%{release}
Obsoletes:	wxGTK2-univ-unicode-gl-devel

%description -n wxGTK2-unicode-gl-devel
Development files for GL canvas library for wxGTK2 with UNICODE
support.

%description -n wxGTK2-unicode-gl-devel -l pl.UTF-8
Pliki programistyczne biblioteki GL dla wxGTK2 z obsługą UNICODE.

%package utils
Summary:	Misc utils from wxWidgets project
Summary(pl.UTF-8):	Różne narzędzia z projektu wxWidgets
Group:		X11/Development/Tools
Requires:	wxX11 = %{version}-%{release}
Obsoletes:	wxWindows-utils

%description utils
Misc utils from wxWidgets project: wxemulator, wxrc, etc.

%description utils -l pl.UTF-8
Różne narzędzia z projektu wxWidgets: wxemulator, wxrc itp.

%package -n wxX11
Summary:	wxUniversal-based wxX11 library
Summary(pl.UTF-8):	Oparta na wxUniversal biblioteka wxX11
Group:		X11/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	wxX11-univ

%description -n wxX11
wxUniversal-based wxX11 library.

%description -n wxX11 -l pl.UTF-8
Oparta na wxUniversal biblioteka wxX11.

%package -n wxX11-devel
Summary:	Header files for wxUniversal-based wxX11 library
Summary(pl.UTF-8):	Pliki nagłówkowe opartej na wxUniversal biblioteki wxX11
Group:		X11/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	wxX11 = %{version}-%{release}
Obsoletes:	wxX11-univ-devel

%description -n wxX11-devel
Header files for wxUniversal-based wxX11 library.

%description -n wxX11-devel -l pl.UTF-8
Pliki nagłówkowe opartej na wxUniversal biblioteki wxX11.

%package -n wxX11-gl
Summary:	GL canvas library for wxUniversal-based wxX11
Summary(pl.UTF-8):	Biblioteka GL dla opartej na wxUniversal wxX11
Group:		X11/Libraries
Requires:	wxX11 = %{version}-%{release}
Obsoletes:	wxX11-univ-gl

%description -n wxX11-gl
GL canvas library for wxUniversal-based wxX11.

%description -n wxX11-gl -l pl.UTF-8
Biblioteka GL dla opartej na wxUniversal wxX11.

%package -n wxX11-gl-devel
Summary:	Development files for GL canvas library for wxUniversal-based wxX11
Summary(pl.UTF-8):	Pliki programistyczne biblioteki GL dla opartej na wxUniversal wxX11
Group:		X11/Development/Libraries
Requires:	OpenGL-GLU-devel
Requires:	wxX11-devel = %{version}-%{release}
Requires:	wxX11-gl = %{version}-%{release}
Obsoletes:	wxX11-univ-gl-devel

%description -n wxX11-gl-devel
Development files for GL canvas library for wxUniversal-based wxX11.

%description -n wxX11-gl-devel -l pl.UTF-8
Pliki programistyczne biblioteki GL dla opartej na wxUniversal wxX11.

%package -n wxX11-unicode
Summary:	wxUniversal-based wxX11 library with UNICODE support
Summary(pl.UTF-8):	Oparta na wxUniversal biblioteka wxX11 z obsługą UNICODE
Group:		X11/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	wxX11-univ-unicode

%description -n wxX11-unicode
wxUniversal-based wxX11 library with UNICODE support.

%description -n wxX11-unicode -l pl.UTF-8
Oparta na wxUniversal biblioteka wxX11 z obsługą UNICODE.

%package -n wxX11-unicode-devel
Summary:	Header files for wxUniversal-based wxX11 library with UNICODE support
Summary(pl.UTF-8):	Pliki nagłówkowe opartej na wxUniversal biblioteki wxX11 z obsługą UNICODE
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	wxX11-unicode = %{version}-%{release}
Obsoletes:	wxX11-univ-unicode-devel

%description -n wxX11-unicode-devel
Header files for wxUniversal-based wxX11 library with UNICODE support.

%description -n wxX11-unicode-devel -l pl.UTF-8
Pliki nagłówkowe opartej na wxUniversal biblioteki wxX11 z obsługą
UNICODE.

%package -n wxX11-unicode-gl
Summary:	GL canvas library for wxUniversal-based wxX11 with UNICODE support
Summary(pl.UTF-8):	Biblioteka GL dla opartej na wxUniversal wxX11 z obsługą UNICODE
Group:		X11/Libraries
Requires:	wxX11-unicode = %{version}-%{release}
Obsoletes:	wxX11-univ-unicode-gl

%description -n wxX11-unicode-gl
GL canvas library for wxUniversal-based wxX11 with UNICODE support.

%description -n wxX11-unicode-gl -l pl.UTF-8
Biblioteka GL dla opartej na wxUniversal wxX11 z obsługą UNICODE.

%package -n wxX11-unicode-gl-devel
Summary:	Development files for GL canvas library for wxX11 with UNICODE support
Summary(pl.UTF-8):	Pliki programistyczne biblioteki GL dla wxX11 z obsługą UNICODE
Group:		X11/Development/Libraries
Requires:	OpenGL-GLU-devel
Requires:	wxX11-unicode-devel = %{version}-%{release}
Requires:	wxX11-unicode-gl = %{version}-%{release}
Obsoletes:	wxX11-univ-unicode-gl-devel

%description -n wxX11-unicode-gl-devel
Development files for GL canvas library for wxUniversal-based wxX11
with UNICODE support.

%description -n wxX11-unicode-gl-devel -l pl.UTF-8
Pliki programistyczne biblioteki GL dla opartej na wxUniversal wxX11 z
obsługą UNICODE.

%prep
%setup -q
%patch0 -p1
# is this still needed?
#%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

rm -f build/aclocal/bakefile*.m4

%build
# if bakefiles rebuild is needed:
#%if "%(rpm -q bakefile --qf '%%{VERSION}')" != "0.2.1"
#cd build/bakefiles
#bakefile_gen -f autoconf
#cd ../..
#%endif
cp -f /usr/share/automake/config.sub .
%{__aclocal} -I build/aclocal
%{__autoconf}

CPPFLAGS="%{rpmcppflags} %{rpmcflags} -fPIC -I`pwd`/include"; export CPPFLAGS
# avoid adding -s to LDFLAGS
LDFLAGS=" "; export LDFLAGS
args="%{?with_debug:--enable-debug}%{!?with_debug:--disable-debug} \
	ac_cv_lib_iodbc_SQLAllocEnv=no \
	ac_cv_lib_unixodbc_SQLAllocEnv=no \
	--enable-plugins \
	--enable-std_iostreams \
	--without-sdl \
	--with-opengl \
	--enable-calendar \
	--enable-controls \
	--enable-tabdialog"

gui='--with-gtk'
for unicode in %{?with_ansi:'--disable-unicode %{?with_odbc:--with-odbc}'} \
	'--enable-unicode' ; do
	objdir=`echo obj${gui}${unicode}|sed 's/ /_/g'`
	mkdir $objdir
	cd $objdir
	../%configure \
		${args} \
		${gui} \
		--disable-universal \
		${unicode} \
		%{!?with_gnomeprint:--without-gnomeprint}
	%{__make}
	%{__make} -C contrib/src
	cd ..
done

%if %{with x11}
gui='--with-x11'
for unicode in %{?with_ansi:'--disable-unicode %{?with_odbc:--with-odbc}'} \
	'--enable-unicode' ; do
	objdir=`echo obj${gui}${unicode}|sed 's/ /_/g'`
	mkdir $objdir
	cd $objdir
	../%configure \
		${args} \
		${gui} \
		--enable-universal \
		${unicode}
	%{__make}
	%{__make} -C contrib/src
	if echo $objdir| grep -q disable-unicode ; then
		%{__make} -C utils
		%{__make} -C utils/emulator
		%{__make} -C utils/hhp2cached
		# %{__make} -C contrib/utils
	fi
	cd ..
done
%endif

cd locale
%{__make} allmo

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

gui='--with-gtk'
for unicode in %{?with_ansi:'--disable-unicode %{?with_odbc:--with-odbc}'} \
	'--enable-unicode' ; do
	objdir=`echo obj${gui}${unicode}|sed 's/ /_/g'`
	cd $objdir
	%{__make} install \
		prefix=$RPM_BUILD_ROOT%{_prefix} \
		exec_prefix=$RPM_BUILD_ROOT%{_exec_prefix} \
		bindir=$RPM_BUILD_ROOT%{_bindir} \
		datadir=$RPM_BUILD_ROOT%{_datadir} \
		libdir=$RPM_BUILD_ROOT%{_libdir} \
		mandir=$RPM_BUILD_ROOT%{_mandir} \
		includedir=$RPM_BUILD_ROOT%{_includedir} \
		LOCALE_MSW_LINGUAS=

	%{__make} -C contrib/src install \
		prefix=$RPM_BUILD_ROOT%{_prefix} \
		exec_prefix=$RPM_BUILD_ROOT%{_exec_prefix} \
		bindir=$RPM_BUILD_ROOT%{_bindir} \
		datadir=$RPM_BUILD_ROOT%{_datadir} \
		libdir=$RPM_BUILD_ROOT%{_libdir} \
		mandir=$RPM_BUILD_ROOT%{_mandir} \
		includedir=$RPM_BUILD_ROOT%{_includedir}
	cd ..
done

%if %{with x11}
gui='--with-x11'
for unicode in %{?with_ansi:'--disable-unicode %{?with_odbc:--with-odbc}'} \
	'--enable-unicode' ; do
	objdir=`echo obj${gui}${unicode}|sed 's/ /_/g'`
	cd $objdir
	%{__make} install \
		prefix=$RPM_BUILD_ROOT%{_prefix} \
		exec_prefix=$RPM_BUILD_ROOT%{_exec_prefix} \
		bindir=$RPM_BUILD_ROOT%{_bindir} \
		datadir=$RPM_BUILD_ROOT%{_datadir} \
		libdir=$RPM_BUILD_ROOT%{_libdir} \
		mandir=$RPM_BUILD_ROOT%{_mandir} \
		includedir=$RPM_BUILD_ROOT%{_includedir} \
		LOCALE_MSW_LINGUAS=
	if echo $objdir| grep -q disable-unicode ; then
		# TODO: install default config files and default backgrouds
		install utils/HelpGen/src/HelpGen $RPM_BUILD_ROOT%{_bindir}
		install utils/emulator/src/wxemulator $RPM_BUILD_ROOT%{_bindir}
		install utils/tex2rtf/src/tex2rtf $RPM_BUILD_ROOT%{_bindir}
		install utils/hhp2cached/hhp2cached $RPM_BUILD_ROOT%{_bindir}
		install utils/wxrc/wxrc $RPM_BUILD_ROOT%{_bindir}
	fi

	%{__make} -C contrib/src install \
		prefix=$RPM_BUILD_ROOT%{_prefix} \
		exec_prefix=$RPM_BUILD_ROOT%{_exec_prefix} \
		bindir=$RPM_BUILD_ROOT%{_bindir} \
		datadir=$RPM_BUILD_ROOT%{_datadir} \
		libdir=$RPM_BUILD_ROOT%{_libdir} \
		mandir=$RPM_BUILD_ROOT%{_mandir} \
		includedir=$RPM_BUILD_ROOT%{_includedir}

	cd ..
done
%endif

for i in $RPM_BUILD_ROOT%{_libdir}/wx/config/*
do
	b=`basename $i`
	cp $i $RPM_BUILD_ROOT%{_bindir}/wx-`echo $b|sed -e 's/\(.*\)-release-.*/\1/'`-config
done

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a demos samples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -f docs/x11/readme.txt docs/wxX11-readme.txt

%find_lang wxstd

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n wxBase -p /sbin/ldconfig
%postun -n wxBase -p /sbin/ldconfig

%post	-n wxBase-unicode -p /sbin/ldconfig
%postun -n wxBase-unicode -p /sbin/ldconfig

%post	-n wxGTK2 -p /sbin/ldconfig
%postun -n wxGTK2 -p /sbin/ldconfig

%post	-n wxGTK2-gl -p /sbin/ldconfig
%postun -n wxGTK2-gl -p /sbin/ldconfig

%post	-n wxGTK2-unicode -p /sbin/ldconfig
%postun -n wxGTK2-unicode -p /sbin/ldconfig

%post	-n wxGTK2-unicode-gl -p /sbin/ldconfig
%postun -n wxGTK2-unicode-gl -p /sbin/ldconfig

%post	-n wxX11 -p /sbin/ldconfig
%postun -n wxX11 -p /sbin/ldconfig

%post	-n wxX11-unicode -p /sbin/ldconfig
%postun -n wxX11-unicode -p /sbin/ldconfig

%define _libf %{?with_debug:d}
%define _configf %{?with_debug:-debug-2.8}

%files -f wxstd.lang
%defattr(644,root,root,755)
%doc docs/{changes,licence,licendoc,preamble,readme,todo}.txt

%files devel
%defattr(644,root,root,755)
%doc docs/html
%doc docs/tech docs/univ
%{_includedir}/wx*
%dir %{_libdir}/wx
%dir %{_libdir}/wx/include
%dir %{_libdir}/wx/config
%{_aclocaldir}/wxwin.m4

%files -n bakefile-wxWidgets
%defattr(644,root,root,755)
%{_datadir}/bakefile/presets/wx*.bkl

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%if %{with x11}
%files HelpGen
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/HelpGen
%endif

%if %{with ansi}
%files -n wxBase
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libwx_base%{_libf}-*.so.*.*
%attr(755,root,root) %{_libdir}/libwx_base%{_libf}_*.so.*.*
#%attr(755,root,root) %{_libdir}/wx/%{version}/sound_sdl-*.so
%attr(755,root,root) %ghost %{_libdir}/libwx_base%{_libf}-*.so.0
%attr(755,root,root) %ghost %{_libdir}/libwx_base%{_libf}_*.so.0

%files -n wxBase-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libwx_base%{_libf}-*.so
%attr(755,root,root) %{_libdir}/libwx_base%{_libf}_*.so
%endif

%files -n wxBase-unicode
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libwx_baseu%{_libf}-*.so.*.*
%attr(755,root,root) %{_libdir}/libwx_baseu%{_libf}_*.so.*.*
#%attr(755,root,root) %{_libdir}/wx/%{version}/sound_sdlu-*.so
%attr(755,root,root) %ghost %{_libdir}/libwx_baseu%{_libf}-*.so.0
%attr(755,root,root) %ghost %{_libdir}/libwx_baseu%{_libf}_*.so.0

%files -n wxBase-unicode-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libwx_baseu%{_libf}-*.so
%attr(755,root,root) %{_libdir}/libwx_baseu%{_libf}_*.so

%if %{with ansi}
%files -n wxGTK2
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libwx_gtk2%{_libf}_*.so.*.*
%exclude %{_libdir}/libwx_gtk2%{_libf}_gl-*.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libwx_gtk2%{_libf}_*.so.0
%exclude %{_libdir}/libwx_gtk2%{_libf}_gl-*.so.0

%files -n wxGTK2-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libwx_gtk2%{_libf}_*-*.so
%exclude %{_libdir}/libwx_gtk2%{_libf}_gl-*.so
%attr(755,root,root) %{_libdir}/wx/config/gtk2-ansi-*
%{_libdir}/wx/include/gtk2-ansi-*
%attr(755,root,root) %{_bindir}/wx-gtk2-ansi%{_configf}-config

%files -n wxGTK2-gl
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libwx_gtk2%{_libf}_gl-*.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libwx_gtk2%{_libf}_gl-*.so.0

%files -n wxGTK2-gl-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libwx_gtk2%{_libf}_gl-*.so
%endif

%files -n wxGTK2-unicode
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libwx_gtk2u%{_libf}_*-*.so.*.*
%exclude %{_libdir}/libwx_gtk2u%{_libf}_gl-*.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libwx_gtk2u%{_libf}_*-*.so.0
%exclude %{_libdir}/libwx_gtk2u%{_libf}_gl-*.so.0

%files -n wxGTK2-unicode-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libwx_gtk2u%{_libf}_*-*.so
%exclude %{_libdir}/libwx_gtk2u%{_libf}_gl-*.so
%attr(755,root,root) %{_libdir}/wx/config/gtk2-unicode-*
%{_libdir}/wx/include/gtk2-unicode-*
%attr(755,root,root) %{_bindir}/wx-gtk2-unicode%{_configf}-config

%files -n wxGTK2-unicode-gl
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libwx_gtk2u%{_libf}_gl-*.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libwx_gtk2u%{_libf}_gl-*.so.0

%files -n wxGTK2-unicode-gl-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libwx_gtk2u%{_libf}_gl-*.so

%if %{with x11}
%if %{with ansi}
%files utils
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/hhp2cached
%attr(755,root,root) %{_bindir}/tex2rtf
%attr(755,root,root) %{_bindir}/wxemulator
%attr(755,root,root) %{_bindir}/wxrc
%attr(755,root,root) %{_bindir}/wxrc-*

%files -n wxX11
%defattr(644,root,root,755)
%doc docs/wxX11-readme.txt
%attr(755,root,root) %{_libdir}/libwx_x11univ%{_libf}_*-*.so.*.*
%exclude %{_libdir}/libwx_x11univ%{_libf}_gl-*.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libwx_x11univ%{_libf}_*-*.so.0
%exclude %{_libdir}/libwx_x11univ%{_libf}_gl-*.so.0

%files -n wxX11-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libwx_x11univ%{_libf}_*-*.so
%exclude %{_libdir}/libwx_x11univ%{_libf}_gl-*.so
%attr(755,root,root) %{_libdir}/wx/config/x11univ-ansi-*
%{_libdir}/wx/include/x11univ-ansi-*
%attr(755,root,root) %{_bindir}/wx-x11univ-ansi%{_configf}-config

%files -n wxX11-gl
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libwx_x11univ%{_libf}_gl-*.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libwx_x11univ%{_libf}_gl-*.so.0

%files -n wxX11-gl-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libwx_x11univ%{_libf}_gl-*.so
%endif

%files -n wxX11-unicode
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libwx_x11univu%{_libf}_*-*.so.*.*
%exclude %{_libdir}/libwx_x11univu%{_libf}_gl-*.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libwx_x11univu%{_libf}_*-*.so.0
%exclude %{_libdir}/libwx_x11univu%{_libf}_gl-*.so.0

%files -n wxX11-unicode-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libwx_x11univu%{_libf}_*-*.so
%exclude %{_libdir}/libwx_x11univu%{_libf}_gl-*.so
%attr(755,root,root) %{_libdir}/wx/config/x11univ-unicode-*
%{_libdir}/wx/include/x11univ-unicode-*
%attr(755,root,root) %{_bindir}/wx-x11univ-unicode%{_configf}-config

%files -n wxX11-unicode-gl
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libwx_x11univu%{_libf}_gl-*.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libwx_x11univu%{_libf}_gl-*.so.0

%files -n wxX11-unicode-gl-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libwx_x11univu%{_libf}_gl-*.so
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: wxWidgets.spec,v $
Revision 1.95  2012/02/08 13:39:41  arekm
- release 3

Revision 1.94  2012/01/13 21:01:06  arekm
- release 2

Revision 1.93  2011/09/10 13:03:11  qboosh
- cppunit version

Revision 1.92  2011/06/04 15:27:36  arekm
- up to 2.8.12

Revision 1.91  2010/10/17 06:31:28  qboosh
- force stable ODBC builds: use unixODBC (in -lodbc)

Revision 1.90  2010/06/03 11:02:45  baggins
- rel 3

Revision 1.89  2010/06/03 00:03:26  baggins
- rel 2
- esound is dead

Revision 1.88  2010/05/03 09:18:52  arekm
- up to 2.8.11

Revision 1.87  2010/02/28 00:28:37  sparky
- dropped unused BR: flex, libmng-devel

Revision 1.86  2010/02/27 14:36:32  hawk
- release 4

Revision 1.85  2010/01/14 23:04:45  sparky
- BR: xorg-lib-libXt-devel

Revision 1.84  2010/01/14 17:07:50  hawk
- x86_64 fails without -fPIC

Revision 1.83  2009/10/29 09:26:58  sls
- added gsocket.patch

Revision 1.82  2009/10/29 09:00:05  sls
- reverted (2.9.0 goes to DEVEL)

Revision 1.80  2009/07/12 02:42:44  arekm
- release 2

Revision 1.79  2009/04/21 19:25:36  arekm
- up to 2.8.10

Revision 1.78  2008/10/08 17:25:44  arekm
- up to 2.8.9

Revision 1.77  2008/07/27 15:05:13  arekm
- up to 2.8.8

Revision 1.76  2007-12-01 13:14:15  qboosh
- actual license name

Revision 1.75  2007-11-29 19:25:31  qboosh
- LGPL v2+

Revision 1.74  2007-11-29 17:16:24  qboosh
- cleanup
- updated -utils desc (mentioned obsolete utils, not noticed due to glob)
- avoid installing wxmsw locale

Revision 1.73  2007-11-23 20:39:40  jareq
- updated to 2.8.7

Revision 1.72  2007-10-21 13:10:15  blues
- rel.1

Revision 1.71  2007/10/21 12:38:33  blues
- 2.8.6

Revision 1.70  2007/04/21 19:18:07  arekm
- rel 3

Revision 1.69  2007/03/28 18:23:44  qboosh
- config scripts in libdir/wx/config must be executable

Revision 1.68  2007/03/10 14:55:15  qboosh
- -devel R: unixODBC-devel if built with unixODBC

Revision 1.67  2007/02/16 10:17:31  arekm
- rel 2

Revision 1.66  2007/02/12 22:09:21  glen
- tabs in preamble

Revision 1.65  2007/02/12 01:06:38  baggins
- converted to UTF-8

Revision 1.64  2007/02/06 22:40:51  qboosh
- updated pickerbase patch to fix build
- package soname symlinks as ghost (referenced by .so symlinks)

Revision 1.63  2007/01/14 17:26:27  jareq
- added wxWidgets-pickerbase.patch (fix compile)

Revision 1.62  2007/01/14 12:26:14  jareq
- rel 1, STBR

Revision 1.61  2007/01/14 11:52:17  jareq
- updated tp 2.8.1

Revision 1.60  2006/12/20 22:36:54  qboosh
- pl fixes
- updated bakefile version in comments

Revision 1.59  2006/12/20 22:27:45  jareq
- added package with files for bakefile
- updated list of unpackeged files
- sort Requires
- rel 0.3

Revision 1.58  2006/12/18 21:22:12  qboosh
- gnomeprint bcond

Revision 1.57  2006/12/18 01:52:19  arekm
- rel 0.2; fixes from cvs (search functionality)

Revision 1.56  2006/12/15 19:52:18  jareq
- updated to 2.8.0

Revision 1.55  2006/12/07 21:56:49  arekm
- up to rc3; contrib/utils doesn't build - it's not a problem since we don't use tools from there

Revision 1.54  2006/11/27 16:55:01  jareq
- updated to 2.8.0 rc1
- rel 0.1

Revision 1.53  2006/08/15 10:19:45  spider
- just fetch sources nothing more

Revision 1.52  2006/04/08 18:21:07  arekm
- rel 2; added Patch-2 from upstream

Revision 1.51  2006/03/31 22:16:14  adgor
- Reverted; BR: autoconf >= 2.59-9 (tx qboosh)

Revision 1.50  2006/03/30 04:31:44  adgor
- More BR with X11

Revision 1.49  2006/03/26 22:27:30  qboosh
- removed obsolete intl patch

Revision 1.48  2006/03/25 20:36:53  jareq
- updated to 2.6.3

Revision 1.47  2006/03/21 06:55:46  aredridel
- up to 2.6.3-rc2 (NFY)

Revision 1.46  2006/03/06 07:21:32  qboosh
- switched to modular xorg, release 3

Revision 1.45  2006/03/06 07:19:57  qboosh
- use proper files in *-gl* packages

Revision 1.44  2006/02/01 18:19:06  qboosh
- added gcc4 patch

Revision 1.43  2006/01/03 02:21:54  charles
- added -intl.patch (fix unicode convert)
- rel. 2, STBR

Revision 1.42  2005/10/13 18:17:18  qboosh
- BR: libmspack-devel (used if found)

Revision 1.41  2005/10/13 16:54:24  qboosh
- updated to 2.6.2
- updated ogl patch, removed obsolete pangox patch, added x11unicode patch

Revision 1.40  2005/09/05 05:50:43  qboosh
- added pangox patch (needed for gtk+ 2.8.x compatibility); release 2

Revision 1.39  2005/08/08 21:36:14  maho
- if "--with debug" passed %files section was incorrect: fixed

Revision 1.38  2005/06/07 03:28:30  jareq

- 'AC_DEFUN([AM_PATH_GTK]' back. My fault.

Revision 1.37  2005/06/06 20:44:35  jareq
- updated to 2.6.1
- rel 1

Revision 1.36  2005/06/01 21:43:21  ankry
- versioned O:

Revision 1.35  2005/06/01 21:38:32  ankry
- O: LDAPExplorerTool and abridge; nobody wants to fix them
- rel. 4

Revision 1.34  2005/05/13 22:15:29  ankry
- rel. 3

Revision 1.33  2005/05/13 19:26:42  ankry
- C: for clean(?) upgrade

Revision 1.32  2005/05/01 00:44:27  qboosh
- release 2

Revision 1.31  2005/04/30 17:39:27  qboosh
- more cleanups

Revision 1.30  2005/04/30 17:31:07  qboosh
- added Obsoletes for *-afm; wxX11 builds again

Revision 1.29  2005/04/30 13:05:22  qboosh
- use just --with-gtk consequently

Revision 1.28  2005/04/30 09:04:46  qboosh
- fixed thinko, small cleanup

Revision 1.27  2005/04/29 15:45:25  ciesiel
- rel. 1

Revision 1.26  2005/04/26 04:21:45  ciesiel
- removed patch 1 (included with new source)
- build now (need tests)

Revision 1.25  2005/04/25 20:52:26  ciesiel
- upgraded to version 2.6.0
- not tested!

Revision 1.24  2005/04/11 14:03:10  charles
- reverted BR: expat-devel (req. directly, whatever this means...)

Revision 1.23  2005/04/09 15:01:45  charles
- BR: pkgconfig
- rm expat-devel (installed with OpenGL-devel)
- rm pango-devel (installed with gtk+2-devel)

Revision 1.22  2005/04/08 15:09:48  jareq
- updated to 2.5.5
- rel 0.1

Revision 1.21  2005/04/01 04:38:34  arekm
- don't require non-existing afm subpackage

Revision 1.20  2005/03/10 18:01:58  wolf
- builds

Revision 1.19  2005/03/01 18:40:13  qboosh
- fixed line numbers; bakefile 0.1.7 is used now

Revision 1.18  2005/03/01 14:02:23  troll
- up to 2.5.4,
- disabled Source1 because it's redundant now,
- rel 0.1, NFY

Revision 1.17  2005/02/22 19:30:12  qboosh
- builds with bakefile 0.1.7 installed (is it used at all now?)

Revision 1.16  2005/02/21 23:08:04  qboosh
- try to avoid dependency on old bakefile (testing)

Revision 1.15  2005/02/21 07:48:52  qboosh
- eh, action-if-not-found is always empty

Revision 1.14  2005/02/20 20:15:35  qboosh
- added ac,gif0delay (from wxWindows 2.4.x)
- bison seems not used

Revision 1.13  2005/02/20 11:09:44  qboosh
- simplified hack, behave as gtk 1.x is not installed

Revision 1.12  2005/02/20 05:34:14  maho
- fixed problem with AM_PATH_GTK. now it can build even if there is no gtk1 devel installed

Revision 1.11  2005/01/23 13:59:35  radzio
merge from DEVEL

Revision 1.10.2.1  2005/01/23 03:01:33  charles
- added new bcond_without ansi (only unicode)
- removed -eggtrayicon.patch (it's in Source1)
- updated -ogl.patch for fix deprecated lib
- BR bakefile down to 1.4.0
- removed bakefile_gen
- small fix in %files

Revision 1.10  2005/01/21 16:13:18  wiget
- fix building OGL contrib lib (link with deprecated contrib lib for wxExpr)

Revision 1.9  2005/01/20 14:18:31  charles
- fix options and files
- added bcond_without x11

Revision 1.8  2005/01/18 20:42:44  wolf
- fixed devel packages

Revision 1.7  2005/01/18 20:05:55  wolf
- massive cleanup

Revision 1.6  2005/01/10 17:59:48  charles
- added -utils-patch [-1 TODO: utils/configtool does not build
 (missing source file)]

Revision 1.5  2004/12/03 13:13:47  cieciwa
- added missing eggtrayicon.h file.

Revision 1.4  2004/12/03 12:42:13  cieciwa
- version 2.5.3,
- Motif default is OFF.

Revision 1.3  2004/10/31 13:31:28  paladine
- spaces->tabs

Revision 1.2  2004/10/28 09:58:33  paladine
- "GTK+" unification (hope thats all)

Revision 1.1  2004/07/23 10:17:36  wiget
- initial, based on wxWindows.spec, many work to do before finish but now I going to holydays. CU
